﻿import request from '/@/utils/request';
enum Api {
  AddWcsplcStation = '/api/wcsplcStation/add',
  DeleteWcsplcStation = '/api/wcsplcStation/delete',
  UpdateWcsplcStation = '/api/wcsplcStation/update',
  PageWcsplcStation = '/api/wcsplcStation/page',
  DetailWcsplcStation = '/api/wcsplcStation/detail',
  GetWcsDeviceDeviceIdDropdown = '/api/wcsplcStation/WcsDeviceDeviceIdDropdown',
}

// 增加设备工位
export const addWcsplcStation = (params?: any) =>
	request({
		url: Api.AddWcsplcStation,
		method: 'post',
		data: params,
	});

// 删除设备工位
export const deleteWcsplcStation = (params?: any) => 
	request({
			url: Api.DeleteWcsplcStation,
			method: 'post',
			data: params,
		});

// 编辑设备工位
export const updateWcsplcStation = (params?: any) => 
	request({
			url: Api.UpdateWcsplcStation,
			method: 'post',
			data: params,
		});

// 分页查询设备工位
export const pageWcsplcStation = (params?: any) => 
	request({
			url: Api.PageWcsplcStation,
			method: 'post',
			data: params,
		});

// 详情设备工位
export const detailWcsplcStation = (id: any) => 
	request({
			url: Api.DetailWcsplcStation,
			method: 'get',
			data: { id },
		});

export const getWcsDeviceDeviceIdDropdown = () =>
		request({
		url: Api.GetWcsDeviceDeviceIdDropdown,
		method: 'get'
		});

